Page MenuHomePhabricator

the message diff-multi above comparison of several revisions has wrong directionality
Closed, ResolvedPublic

Description

To reproduce:

  1. Go to https://www.wikidata.org/w/index.php?title=Q12060906&diff=56007681&oldid=53789438&uselang=he
  1. Inspect the message above the diff - (7 גרסאות ביניים של 6 משתמשים אינן מוצגות).

Observed: The CSS property direction is "ltr".

Expected: The CSS property direction must be "rtl", because it's Hebrew.

I suspect that it happens because the function that adds this message uses getPageLanguage, while it should use the user language, but I didn't test too deeply.

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:07 AM
bzimport set Reference to bz52321.
Amire80 created this task.Jul 31 2013, 12:07 PM

Change 79326 had a related patch set uploaded by Amire80:
Add diff-multi to classes with explicit direction

https://gerrit.wikimedia.org/r/79326

Change 79326 merged by jenkins-bot:
Add diff-multi to classes with explicit direction

https://gerrit.wikimedia.org/r/79326

Change 276951 had a related patch set uploaded (by Vaishali Jain):
Change Special:Tags to OOUI

https://gerrit.wikimedia.org/r/276951

Restricted Application added a project: Wikidata. · View Herald TranscriptMar 12 2016, 11:14 AM

Change 335431 had a related patch set uploaded (by Nikssardana):
Short subject line

https://gerrit.wikimedia.org/r/335431

Change 335431 abandoned by Amire80:
Short subject line

Reason:
Looks like a mistake.

https://gerrit.wikimedia.org/r/335431

matej_suchanek updated the task description. (Show Details)
matej_suchanek removed a subscriber: Wikidata-bugs.

Change 352321 had a related patch set uploaded (by Jobodobo; owner: Jobodobo):
[mediawiki/extensions/examples@master] This is BUG: T54321

https://gerrit.wikimedia.org/r/352321

Paladox removed a subscriber: gerritbot.

Change 352321 abandoned by Jobodobo:
This is BUG: T54321

https://gerrit.wikimedia.org/r/352321

Change 376091 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/extensions/AbuseFilter@master] Fix confusing warning message on throtthled filters

https://gerrit.wikimedia.org/r/376091

Change 625946 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/extensions/ProofreadPage@master] Fix updateButton not getting activated on NumberInput change

https://gerrit.wikimedia.org/r/625946

Change 625946 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Fix updateButton not getting activated on NumberInput change

https://gerrit.wikimedia.org/r/625946